id: 15
createTime: 2025-07-25T11:25:14.724635455Z
name: book.3.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Failed
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: true
    rules:
        labels:
            excluded: []
            included: []
        path: ""
        repository:
            branch: yaml-rules
            kind: git
            path: yaml-rules
            url: https://github.com/abrugaro/book-server.git
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 3
    name: book
bucket:
    id: 21
    name: ""
pod: konveyor-tackle/task-15-qwmc9
started: 2025-07-25T11:25:15.093531618Z
terminated: 2025-07-25T11:25:18.283150129Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-07-25T11:25:15.062963209Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-07-25T11:25:15.075050038Z
    - kind: PodCreated
      count: 1
      reason: konveyor-tackle/task-15-qwmc9
      last: 2025-07-25T11:25:15.143615191Z
    - kind: PodPending
      count: 4
      reason: ContainerCreating
      last: 2025-07-25T11:25:17.230954739Z
    - kind: PodRunning
      count: 1
      last: 2025-07-25T11:25:18.283148977Z
    - kind: PodFailed
      count: 1
      reason: Error
      last: 2025-07-25T11:25:18.28315063Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-07-25T11:25:18.373240822Z
errors:
    - severity: Error
      description: 'Container (addon) failed: Error'
    - severity: Error
      description: 'Invalid option: []api.Ref'
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[SSH] Home (directory): /addon'
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Home (directory): /addon/.git/42650aea'
    - '[GIT] Cloning: https://github.com/ibraginsky/book-server'
    - '[FILE] Created /addon/.git/42650aea/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/ibraginsky/book-server /shared/source/book-server'
    - '[CMD] /usr/bin/git succeeded.'
attached:
    - id: 442
      name: ssh-agent.output
      activity: 10
    - id: 443
      name: git.output
      activity: 16
    - id: 444
      name: addon.log
    - id: 445
      name: java.log
    - id: 446
      name: pod.yaml
